/*
 * Copyright (C) 2006 Red Hat, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 *
 *   Free Software Foundation
 *   51 Franklin Street, Fifth Floor
 *   Boston, MA  02111-1301
 *   USA.
 */

#ifndef map_file_h
#define map_file_h

#ident "$Id: map-file.h,v 1.2 2007/02/05 16:21:14 nalin Exp $"

#include "../config.h"

struct map_file;

struct map_file *map_file_open(struct module_context *mcontext,
			       const char *pathname);
void map_file_read_all(struct map_file *map);
void map_file_read_principal(struct map_file *map, const char *principal);
const char **map_file_get_list(struct map_file *map, const char *principal);
void map_file_close(struct map_file *map);

#endif
