/*
 * Copyright (C) 2006 Red Hat, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 *
 *   Free Software Foundation
 *   51 Franklin Street, Fifth Floor
 *   Boston, MA  02111-1301
 *   USA.
 */

#ifndef pkinit_h
#define pkinit_h
#ident "$Id: pkinit.h,v 1.6 2007/06/20 21:27:51 nalin Exp $"

#include "../config.h"

#include <krb5/krb5.h>

#include <nss3/nss.h>
#include <nss3/cert.h>
#include <nss3/certdb.h>

struct module_context;
struct pkinit_pwcb_args {
	struct module_context *mcontext;
	krb5_context kcontext;
	krb5_prompter_fct fct;
	void *fct_data;
	char *name;
	PLArenaPool *pool;
};
char *pkinit_pwcb(PK11SlotInfo *slot, PRBool retry, void *arg);

#define N_ELEMENTS(__x) (sizeof(__x) / sizeof(__x[0]))

void pkinit_debug(struct module_context *context, int level,
		  const char *fmt, ...);

#endif
